<?php

namespace FiloBlu\Storelocator\Block\Plugin\PickUpInStore;

use FiloBlu\Storelocator\Helper\Data;
use Magento\Framework\Registry;

/**
 *
 */
class RmaReceived
{
	/**
	 * @var Data
	 */
	protected $helper;

	/**
	 * @var Registry
	 */
	protected $registry;

	/**
	 * @param Data $helper
	 * @param Registry $registry
	 */
	public function __construct(
		Data     $helper,
		Registry $registry
	)
	{
		$this->helper = $helper;
		$this->registry = $registry;
	}

	/**
	 * @param \FiloBlu\Storelocator\Block\PickUpInStore\Rmareceived $subject
	 * @param $result
	 * @return bool|mixed
	 */
	public function afterIsAlreadyConfirmed(\FiloBlu\Storelocator\Block\PickUpInStore\Rmareceived $subject, $result)
	{

		$rma = $this->registry->registry('pickupinstore_rma_received');

		if ($this->helper->getUseStandardRmaMailFlow()) {
			return $result;
		}

		if ($rma->getStatus() == 'pending') {
			return false;
		}

		return true;
	}
}