<?php

namespace FiloBlu\Storelocator\Controller\Adminhtml\Images;

use Magento\Backend\App\Action;
use Magento\Backend\App\Action\Context;
use Magento\Backend\Model\View\Result\Forward;
use Magento\Backend\Model\View\Result\ForwardFactory;

class NewAction extends Action
{
	/**
	 * @var Forward
	 */
	protected $resultForwardFactory;

	/**
	 * @param Context $context
	 * @param ForwardFactory $resultForwardFactory
	 */
	public function __construct(
		Context               $context,
		ForwardFactory $resultForwardFactory
	)
	{
		$this->resultForwardFactory = $resultForwardFactory;
		parent::__construct($context);
	}

	/**
	 * Forward to edit
	 *
	 * @return Forward
	 */
	public function execute()
	{
		/** @var Forward $resultForward */
		$resultForward = $this->resultForwardFactory->create();
		return $resultForward->forward('edit');
	}

	/**
	 * {@inheritdoc}
	 */
	protected function _isAllowed()
	{
		return $this->_authorization->isAllowed('FiloBlu_Storelocator::storelocator_save');
	}
}